[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# EMenuError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error occurs while accessing a menu item.

## Declaration

Source position: menus.pp line 51

`type EMenuError = class(Exception)`

## Inheritance

`EMenuError` |  | Exception raised when an error occurs while accessing a menu item.
`Exception`
?
`TObject`

## See also

TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.
TMenuItem.Delete |  | Deletes the child menu item at the specified position in Items.
TMenuItem.Remove |  | Removes the specified menu item from its Parent.